#import <Foundation/Foundation.h>
#import "A.h"
#import "B.h"
#import "NSObject+MullePreviousIMP.h"


int main(int argc, const char *argv[])
{
   NSAutoreleasePool  *pool;
   A     *a;
   B     *b;
   IMP   imp;
   
   pool = [NSAutoreleasePool new];

   a = [[A new] autorelease];
   b = [[B new] autorelease];
   
   imp = [A mullePreviousInstanceMethodForSelector:@selector( foo)];
   (*imp)( a, @selector( foo));
   imp = [B mullePreviousInstanceMethodForSelector:@selector( foo)];
   (*imp)( b, @selector( foo));
   
   [pool release];
   return( 0);
}
